<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html lang="ca">
	<head>
		<meta http-equiv="content-type" content="text/html; charset=utf-8">
		<title>Llegeix registre</title>
		<link rel="stylesheet" href="estils.css">
	</head>
	<body>
		<table>
			<tr>
				<th colspan="5">Dades d'un registre de la taula tlcli</th>
			</tr>
			<tr>
				<td>Codi</td>
				<td>Nom</td>
				<td>Cognom</td>
				<td>email</td>
				<td>Contrasenya</td>
			</tr>
			<?php
				# Dades de la connexió
				$dbhost="localhost";
				$dbusername="adcli";
				$dbuserpassword="FjeClot25@";
				$baseDades="bdcli";
				# Dades de la taula
				$taula="tlcli";
				# Dades del registre
				$nom="pere";
				#
				# Connexió a la base de dades. No es fa tractament d'errors.
				$connbd = new mysqli($dbhost,$dbusername,$dbuserpassword,$baseDades);
				# Consulta a la base de dades amb sentències preparades. No es fa tractament d'errors.
				$sentencia = $connbd -> prepare("select * from $taula where nom = ?"); //Prepara. No es fa tractament d'errors.
				$sentencia->bind_param("s", $nom); //Vincula. No es fa tractament d'errors.
				$sentencia->execute(); //Executa
				$resultat=$sentencia->get_result(); //Desa el resultat dins d'un objecte
				//Mostra els resultats
				while ($fila = $resultat->fetch_assoc()) {
					echo "<tr>";
					foreach ($fila as $valor_columna) {
						echo "<td> $valor_columna </td>";
					}
					echo "</tr>";
				}
			?>
		</table>
		<?php
			//Tancament de la sentència preparada i de la connexió
			//Les sentències preparades ocupen recursos del servidor. S'han de tancar si no s'utilitzen més vegades dins del script.
			//Les connexions ocupen recursos del servidor. S'han de tancar si no s'utilitzen més vegades dins del script.
			$sentencia->close(); # No es fa tractament d'errors.
			$connbd->close(); # No es fa tractament d'errors.
		?>
	</body>
</html>
